﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9324
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        string myDataPath = @"..\..\AppData";

        string ecw_epsg_code_31468 = "Luftbild2008bis2010.ecw";
        string ecw_epsg_code_25833 = "DOP20RGBI_33384-5884-5924.ecw";
        string ecw_epsg_code_2398 = "Stadtplan_LS150_20150624.ecw";

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            //loadEcw(System.IO.Path.Combine(myDataPath, ecw_epsg_code_25833));
            loadEcw(System.IO.Path.Combine(myDataPath, ecw_epsg_code_2398));
            //loadEcw(System.IO.Path.Combine(myDataPath, ecw_epsg_code_31468));

        }

        void loadEcw(string pathFileName)
        {
            if (!System.IO.File.Exists(pathFileName)) return;
            map.Overlays.Clear();
            EcwRasterLayer layer = new EcwRasterLayer(pathFileName);
            layer.Open();
            if (layer.HasBoundingBox)
            {
                var bb = layer.GetBoundingBox();
                map.CurrentExtent = bb;
            }
            layer.Close();
            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(layer);
            overlay.IsVisible = true;
            layer.IsVisible = true;
            map.Overlays.Add(overlay);
            map.Refresh(overlay);
        }
    }
}
